Api ReferenceEndpointGet a repository

Get a repository

Returns detailed information about a repository.

GET/repos/{owner}/{repo}

Returns detailed information about a repository.

Path Parameters

ownerstringpathrequired

Repository owner

repostringpathrequired

Repository name

Responses

200Repository details
idstringrequired

Unique repository ID

namestringrequired

Repository name

full_namestringrequired

Full name including org

privateboolean

Whether the repository is private

descriptionstring

Repository description

default_branchstring

Default branch name

languagestring

Primary language

stars_countinteger

Number of stars

forks_countinteger

Number of forks

created_atstring<date-time>
updated_atstring<date-time>
404Not found
errorstring
messagestring
documentation_urlstring
curl -X GET "https://drok.us/api/v1/repos/:owner/:repo" \
  -H "Authorization: Bearer $DROK_TOKEN"

Try It